<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: src/PotentiometerBehaviours.h Source File</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">PotentiometerBehaviours.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_potentiometer_behaviours_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef POTENTIOMETER_BEHAVIOUR_h</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define POTENTIOMETER_BEHAVIOUR_h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;Arduino.h&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_behaviours_8h.html">Behaviours.h</a>&quot;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_potentiometer_8h.html">Potentiometer.h</a>&quot;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_viz_blocks_8h.html">VizBlocks.h</a>&gt;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="class_potentiometer_updated.html">   20</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_potentiometer_updated.html">PotentiometerUpdated</a> : <span class="keyword">public</span> <a class="code" href="class_behaviour.html">Behaviour</a></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;{</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <a class="code" href="class_viz_block.html">VizBlock</a>* _node;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="class_potentiometer_updated.html#ac1beccae8fba247fa8246962840389cf">   25</a></span>&#160;    <a class="code" href="class_potentiometer_updated.html#ac1beccae8fba247fa8246962840389cf">PotentiometerUpdated</a>(<a class="code" href="class_viz_block.html">VizBlock</a>* node, String <a class="code" href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">name</a> = <span class="stringliteral">&quot;PotentiometerUpdated&quot;</span>);</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="class_potentiometer_updated.html#aa26c8882cb48d9122f24a14f532a0c5b">   26</a></span>&#160;    <span class="keywordtype">char</span>* <a class="code" href="class_potentiometer_updated.html#aa26c8882cb48d9122f24a14f532a0c5b">args</a>();</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="class_potentiometer_updated.html#aea4c6c96cf2fb770677fafef821a844f">   27</a></span>&#160;    String <a class="code" href="class_potentiometer_updated.html#aea4c6c96cf2fb770677fafef821a844f">start</a>(String <a class="code" href="class_potentiometer_updated.html#aa26c8882cb48d9122f24a14f532a0c5b">args</a>);</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;};</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="a_behaviours_8h_html"><div class="ttname"><a href="_behaviours_8h.html">Behaviours.h</a></div><div class="ttdoc">Functionality for block behaviours.</div></div>
<div class="ttc" id="a_potentiometer_8h_html"><div class="ttname"><a href="_potentiometer_8h.html">Potentiometer.h</a></div><div class="ttdoc">Slider and rotary potentiometer functionality.</div></div>
<div class="ttc" id="a_viz_blocks_8h_html"><div class="ttname"><a href="_viz_blocks_8h.html">VizBlocks.h</a></div><div class="ttdoc">Contains everything you need to get started.</div></div>
<div class="ttc" id="aclass_behaviour_html"><div class="ttname"><a href="class_behaviour.html">Behaviour</a></div><div class="ttdoc">Parent class for all other behaviours.</div><div class="ttdef"><b>Definition:</b> Behaviours.h:20</div></div>
<div class="ttc" id="aclass_behaviour_html_a766009be6f0ed1acd74d4ba5c138a7bd"><div class="ttname"><a href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">Behaviour::name</a></div><div class="ttdeci">virtual String name()</div></div>
<div class="ttc" id="aclass_potentiometer_updated_html"><div class="ttname"><a href="class_potentiometer_updated.html">PotentiometerUpdated</a></div><div class="ttdoc">Behaviour that publishes a &quot;PotentiometerUpdated&quot; message to the block's announcment topic of the MQQ...</div><div class="ttdef"><b>Definition:</b> PotentiometerBehaviours.h:21</div></div>
<div class="ttc" id="aclass_potentiometer_updated_html_aa26c8882cb48d9122f24a14f532a0c5b"><div class="ttname"><a href="class_potentiometer_updated.html#aa26c8882cb48d9122f24a14f532a0c5b">PotentiometerUpdated::args</a></div><div class="ttdeci">char * args()</div></div>
<div class="ttc" id="aclass_potentiometer_updated_html_ac1beccae8fba247fa8246962840389cf"><div class="ttname"><a href="class_potentiometer_updated.html#ac1beccae8fba247fa8246962840389cf">PotentiometerUpdated::PotentiometerUpdated</a></div><div class="ttdeci">PotentiometerUpdated(VizBlock *node, String name=&quot;PotentiometerUpdated&quot;)</div></div>
<div class="ttc" id="aclass_potentiometer_updated_html_aea4c6c96cf2fb770677fafef821a844f"><div class="ttname"><a href="class_potentiometer_updated.html#aea4c6c96cf2fb770677fafef821a844f">PotentiometerUpdated::start</a></div><div class="ttdeci">String start(String args)</div></div>
<div class="ttc" id="aclass_viz_block_html"><div class="ttname"><a href="class_viz_block.html">VizBlock</a></div><div class="ttdoc">The main VizBlock class.</div><div class="ttdef"><b>Definition:</b> VizBlocks.h:28</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
